/* persistent page elements like vid background and nav buttons */

@font-face {
	font-family: Melee;
	src: url("/A-OTF Folk Pro B.otf") format('opentype');
}

h1 {
  
  color: #ffcb00;
  margin: 0 auto;
  text-align: center;
  text-shadow: 2px 2px 4px black;
}

body {
  font-family: Melee;
}

p {
  max-width: 1200px;
  width: 90%;
  margin: 0 auto;
  font-size: 28px;
  color: white;
  line-height: 1.1;
  text-shadow: 2px 2px 4px black;
}

#hero {
	width: 100%;
	height: 200px;
	max-height: 20vh;		
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	font-family: sans-serif;
	text-shadow: 3px 3px 4px #000000;
	z-index: 0;
	clip-path: polygon(30% 0%, 100% 0, 100% 70%, 70% 100%, 0 100%, 0% 30%);
	transition: clip-path .25s;
}

#bgblur {
	filter: /*blur(0px)*/ saturate(115%) brightness(125%);
	-webkit-filter: /*blur(0px)*/ saturate(115%) brightness(125%);

	width: 100%;
	height: 200px;
	max-height: 20vh;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	position: absolute;
	z-index: 0;
	opacity: 55%;
}

#bluetint {
	position: absolute;
	width: 100%;
	height: 200px;
	max-height: 20vh;
	background-color: #0097ff7d;
}

#hero > img {
	filter: saturate(115%) brightness(125%);
	-webkit-filter: saturate(115%) brightness(125%);
	clip-path: polygon(0% 0%, 100% 0, 100% 100%, 100% 100%, 0 100%, 0% 0%);
	transition: clip-path .25s;
}

video {
	object-fit: cover;
	width: 100vw;
	height: 100vh;
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	z-index: -1;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
}

.navbuttonscenter { 
  display: flex; /* Aligns items in a row */ 
  gap: 20px; /* Adds space between your buttons */ 
  max-width: 75%; 
  margin: 0 auto; } 
  
.navbuttonscontainer { 
  position: relative;
  display: inline-block;
  justify-content: center;
  width: 842px;
  margin-top: 20px;
  font-family: Melee;
  }
  
.navbuttonsbase { 
  display: block; /* Removes bottom spacing */
  width: 100%; /* Adjust size as needed */ 
} 

.navbuttonshover { 
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0; /* Hidden by default */ 
} 
  
.navbuttonscontainer:hover .navbuttonshover {
  opacity: 1; 
}

/* .navbuttons {
  display: absolute;
	margin: 0 auto;
	justify-content: center;
	-moz-user-select: none;
	user-select: none;
} */